Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.taskuiregistry
Interface TaskUiRegistryDocument.TaskUiRegistry

All Superinterfaces:
  XmlObject, XmlTokenSource

Enclosing interface:
  TaskUiRegistryDocument

    public static interface TaskUiRegistryDocument.TaskUiRegistry

extends XmlObject

An XML task-ui-registry(@http://www.bea.com/wli/worklist/taskuiregistry). This is a complex type.

Nested Class Summary
`static class` | `TaskUiRegistryDocument.TaskUiRegistry.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TaskUiRegistryDocument.TaskUiRegistry.StepOverride` An XML step-override(@http://www.bea.com/wli/worklist/taskuiregistry).
`static interface` | `TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride` An XML task-plan-override(@http://www.bea.com/wli/worklist/taskuiregistry).

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TaskUiRegistryDocument.TaskUiRegistry.StepOverride` | `addNewStepOverride()` Appends and returns a new empty value (as xml) as the last "step-override" element
`TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride` | `addNewTaskPlanOverride()` Appends and returns a new empty value (as xml) as the last "task-plan-override" element
`TaskUiRegistryDocument.TaskUiRegistry.StepOverride[]` | `getStepOverrideArray()` Gets array of all "step-override" elements
`TaskUiRegistryDocument.TaskUiRegistry.StepOverride` | `getStepOverrideArray(int i)` Gets ith "step-override" element
`TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride[]` | `getTaskPlanOverrideArray()` Gets array of all "task-plan-override" elements
`TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride` | `getTaskPlanOverrideArray(int i)` Gets ith "task-plan-override" element
`TaskUiRegistryDocument.TaskUiRegistry.StepOverride` | `insertNewStepOverride(int i)` Inserts and returns a new empty value (as xml) as the ith "step-override" element
`TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride` | `insertNewTaskPlanOverride(int i)` Inserts and returns a new empty value (as xml) as the ith "task-plan-override" element
`void` | `removeStepOverride(int i)` Removes the ith "step-override" element
`void` | `removeTaskPlanOverride(int i)` Removes the ith "task-plan-override" element
`void` | `setStepOverrideArray(int i, TaskUiRegistryDocument.TaskUiRegistry.StepOverride stepOverride)` Sets ith "step-override" element
`void` | `setStepOverrideArray(TaskUiRegistryDocument.TaskUiRegistry.StepOverride[] stepOverrideArray)` Sets array of all "step-override" element
`void` | `setTaskPlanOverrideArray(int i, TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride taskPlanOverride)` Sets ith "task-plan-override" element
`void` | `setTaskPlanOverrideArray(TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride[] taskPlanOverrideArray)` Sets array of all "task-plan-override" element
`int` | `sizeOfStepOverrideArray()` Returns number of "step-override" element
`int` | `sizeOfTaskPlanOverrideArray()` Returns number of "task-plan-override" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getTaskPlanOverrideArray

    TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride[] getTaskPlanOverrideArray()

  Gets array of all "task-plan-override" elements

### getTaskPlanOverrideArray

    TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride getTaskPlanOverrideArray(int i)

  Gets ith "task-plan-override" element

### sizeOfTaskPlanOverrideArray

    int sizeOfTaskPlanOverrideArray()

  Returns number of "task-plan-override" element

### setTaskPlanOverrideArray

    void setTaskPlanOverrideArray(TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride[] taskPlanOverrideArray)

  Sets array of all "task-plan-override" element

### setTaskPlanOverrideArray

    void setTaskPlanOverrideArray(int i,
                                  TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride taskPlanOverride)

  Sets ith "task-plan-override" element

### insertNewTaskPlanOverride

    TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride insertNewTaskPlanOverride(int i)

  Inserts and returns a new empty value (as xml) as the ith "task-plan-override" element

### addNewTaskPlanOverride

    TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride addNewTaskPlanOverride()

  Appends and returns a new empty value (as xml) as the last "task-plan-override" element

### removeTaskPlanOverride

    void removeTaskPlanOverride(int i)

  Removes the ith "task-plan-override" element

### getStepOverrideArray

    TaskUiRegistryDocument.TaskUiRegistry.StepOverride[] getStepOverrideArray()

  Gets array of all "step-override" elements

### getStepOverrideArray

    TaskUiRegistryDocument.TaskUiRegistry.StepOverride getStepOverrideArray(int i)

  Gets ith "step-override" element

### sizeOfStepOverrideArray

    int sizeOfStepOverrideArray()

  Returns number of "step-override" element

### setStepOverrideArray

    void setStepOverrideArray(TaskUiRegistryDocument.TaskUiRegistry.StepOverride[] stepOverrideArray)

  Sets array of all "step-override" element

### setStepOverrideArray

    void setStepOverrideArray(int i,
                              TaskUiRegistryDocument.TaskUiRegistry.StepOverride stepOverride)

  Sets ith "step-override" element

### insertNewStepOverride

    TaskUiRegistryDocument.TaskUiRegistry.StepOverride insertNewStepOverride(int i)

  Inserts and returns a new empty value (as xml) as the ith "step-override" element

### addNewStepOverride

    TaskUiRegistryDocument.TaskUiRegistry.StepOverride addNewStepOverride()

  Appends and returns a new empty value (as xml) as the last "step-override" element

### removeStepOverride

    void removeStepOverride(int i)

  Removes the ith "step-override" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD